_DrawFrame:
;Flash.c,24 :: 		void DrawFrame(){
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;Flash.c,25 :: 		TFT_Fill_Screen(CL_WHITE);
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
ORI	R25, R0, 65535
JAL	_TFT_Fill_Screen+0
NOP	
;Flash.c,26 :: 		TFT_Set_Pen(CL_BLACK, 1);
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_TFT_Set_Pen+0
NOP	
;Flash.c,27 :: 		TFT_Line(20, 220, 300, 220);
ORI	R28, R0, 220
ORI	R27, R0, 300
ORI	R26, R0, 220
ORI	R25, R0, 20
JAL	_TFT_Line+0
NOP	
;Flash.c,28 :: 		TFT_Line(20,  46, 300,  46);
ORI	R28, R0, 46
ORI	R27, R0, 300
ORI	R26, R0, 46
ORI	R25, R0, 20
JAL	_TFT_Line+0
NOP	
;Flash.c,29 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_RED, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;Flash.c,30 :: 		TFT_Write_Text("FLASH  LIKE  A  EEPROM",50,14);
ORI	R27, R0, 14
ORI	R26, R0, 50
LUI	R25, hi_addr(?lstr1_Flash+0)
ORI	R25, R25, lo_addr(?lstr1_Flash+0)
JAL	_TFT_Write_Text+0
NOP	
;Flash.c,31 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;Flash.c,32 :: 		TFT_Write_Text("EasyPIC Fusion v7", 19, 223);
ORI	R27, R0, 223
ORI	R26, R0, 19
LUI	R25, hi_addr(?lstr2_Flash+0)
ORI	R25, R25, lo_addr(?lstr2_Flash+0)
JAL	_TFT_Write_Text+0
NOP	
;Flash.c,33 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_RED, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;Flash.c,34 :: 		TFT_Write_Text("www.teolab.it", 220, 223);
ORI	R27, R0, 223
ORI	R26, R0, 220
LUI	R25, hi_addr(?lstr3_Flash+0)
ORI	R25, R25, lo_addr(?lstr3_Flash+0)
JAL	_TFT_Write_Text+0
NOP	
;Flash.c,35 :: 		TFT_Set_Font(&TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_TFT_defaultFont+0)
ORI	R25, R25, lo_addr(_TFT_defaultFont+0)
JAL	_TFT_Set_Font+0
NOP	
;Flash.c,36 :: 		}
L_end_DrawFrame:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _DrawFrame
_WriteNvmData:
;Flash.c,38 :: 		void WriteNvmData() {
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Flash.c,39 :: 		Flash_Erase_Page(0x9D1FFFE0);
SW	R25, 4(SP)
SW	R26, 8(SP)
LUI	R25, 40223
ORI	R25, R25, 65504
JAL	_Flash_Erase_Page+0
NOP	
;Flash.c,40 :: 		Flash_Write_Word(0x9D1FFFE0,1);
ORI	R26, R0, 1
LUI	R25, 40223
ORI	R25, R25, 65504
JAL	_Flash_Write_Word+0
NOP	
;Flash.c,41 :: 		Flash_Write_Word(0x9D1FFFF0,22);
ORI	R26, R0, 22
LUI	R25, 40223
ORI	R25, R25, 65520
JAL	_Flash_Write_Word+0
NOP	
;Flash.c,42 :: 		Delay_ms(100);
LUI	R24, 101
ORI	R24, R24, 47530
L_WriteNvmData0:
ADDIU	R24, R24, -1
BNE	R24, R0, L_WriteNvmData0
NOP	
;Flash.c,43 :: 		}
L_end_WriteNvmData:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _WriteNvmData
_ReadNvmData:
;Flash.c,45 :: 		void ReadNvmData() {
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;Flash.c,46 :: 		NVM1 = *(int*)(0x9D1FFFE0);
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
LH	R2, Offset(-1658847264)(GP)
SW	R2, Offset(_NVM1+0)(GP)
;Flash.c,47 :: 		LongWordToStr(NVM1,TXT1);
LUI	R26, hi_addr(_TXT1+0)
ORI	R26, R26, lo_addr(_TXT1+0)
LW	R25, Offset(_NVM1+0)(GP)
JAL	_LongWordToStr+0
NOP	
;Flash.c,48 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;Flash.c,49 :: 		TFT_Write_Text("DEC1: ",19,50);
ORI	R27, R0, 50
ORI	R26, R0, 19
LUI	R25, hi_addr(?lstr4_Flash+0)
ORI	R25, R25, lo_addr(?lstr4_Flash+0)
JAL	_TFT_Write_Text+0
NOP	
;Flash.c,50 :: 		Ltrim(TXT1);
LUI	R25, hi_addr(_TXT1+0)
ORI	R25, R25, lo_addr(_TXT1+0)
JAL	_Ltrim+0
NOP	
;Flash.c,51 :: 		TFT_Write_Text(TXT1,110,50);
ORI	R27, R0, 50
ORI	R26, R0, 110
LUI	R25, hi_addr(_TXT1+0)
ORI	R25, R25, lo_addr(_TXT1+0)
JAL	_TFT_Write_Text+0
NOP	
;Flash.c,52 :: 		LongWordToHex(NVM1,TXT1);
LUI	R26, hi_addr(_TXT1+0)
ORI	R26, R26, lo_addr(_TXT1+0)
LW	R25, Offset(_NVM1+0)(GP)
JAL	_LongWordToHex+0
NOP	
;Flash.c,53 :: 		TFT_Write_Text("HEX1: ",19,60);
ORI	R27, R0, 60
ORI	R26, R0, 19
LUI	R25, hi_addr(?lstr5_Flash+0)
ORI	R25, R25, lo_addr(?lstr5_Flash+0)
JAL	_TFT_Write_Text+0
NOP	
;Flash.c,54 :: 		TFT_Write_Text(TXT1,110,60);
ORI	R27, R0, 60
ORI	R26, R0, 110
LUI	R25, hi_addr(_TXT1+0)
ORI	R25, R25, lo_addr(_TXT1+0)
JAL	_TFT_Write_Text+0
NOP	
;Flash.c,56 :: 		NVM2 = *(int*)(0x9D1FFFF0);
LH	R2, Offset(-1658847248)(GP)
SW	R2, Offset(_NVM2+0)(GP)
;Flash.c,57 :: 		LongWordToStr(NVM2,TXT2);
LUI	R26, hi_addr(_TXT2+0)
ORI	R26, R26, lo_addr(_TXT2+0)
LW	R25, Offset(_NVM2+0)(GP)
JAL	_LongWordToStr+0
NOP	
;Flash.c,58 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;Flash.c,59 :: 		TFT_Write_Text("DEC2: ",19,75);
ORI	R27, R0, 75
ORI	R26, R0, 19
LUI	R25, hi_addr(?lstr6_Flash+0)
ORI	R25, R25, lo_addr(?lstr6_Flash+0)
JAL	_TFT_Write_Text+0
NOP	
;Flash.c,60 :: 		Ltrim(TXT2);
LUI	R25, hi_addr(_TXT2+0)
ORI	R25, R25, lo_addr(_TXT2+0)
JAL	_Ltrim+0
NOP	
;Flash.c,61 :: 		TFT_Write_Text(TXT2,110,75);
ORI	R27, R0, 75
ORI	R26, R0, 110
LUI	R25, hi_addr(_TXT2+0)
ORI	R25, R25, lo_addr(_TXT2+0)
JAL	_TFT_Write_Text+0
NOP	
;Flash.c,62 :: 		LongWordToHex(NVM2,TXT2);
LUI	R26, hi_addr(_TXT2+0)
ORI	R26, R26, lo_addr(_TXT2+0)
LW	R25, Offset(_NVM2+0)(GP)
JAL	_LongWordToHex+0
NOP	
;Flash.c,63 :: 		TFT_Write_Text("HEX2: ",19,85);
ORI	R27, R0, 85
ORI	R26, R0, 19
LUI	R25, hi_addr(?lstr7_Flash+0)
ORI	R25, R25, lo_addr(?lstr7_Flash+0)
JAL	_TFT_Write_Text+0
NOP	
;Flash.c,64 :: 		TFT_Write_Text(TXT2,110,85);
ORI	R27, R0, 85
ORI	R26, R0, 110
LUI	R25, hi_addr(_TXT2+0)
ORI	R25, R25, lo_addr(_TXT2+0)
JAL	_TFT_Write_Text+0
NOP	
;Flash.c,65 :: 		}
L_end_ReadNvmData:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _ReadNvmData
_main:
;Flash.c,67 :: 		void main() {
;Flash.c,68 :: 		ANSELA = 0;
SW	R0, Offset(ANSELA+0)(GP)
;Flash.c,69 :: 		ANSELB = 0;
SW	R0, Offset(ANSELB+0)(GP)
;Flash.c,70 :: 		ANSELC = 0;
SW	R0, Offset(ANSELC+0)(GP)
;Flash.c,71 :: 		ANSELD = 0;
SW	R0, Offset(ANSELD+0)(GP)
;Flash.c,72 :: 		ANSELE = 0;
SW	R0, Offset(ANSELE+0)(GP)
;Flash.c,73 :: 		ANSELF = 0;
SW	R0, Offset(ANSELF+0)(GP)
;Flash.c,74 :: 		ANSELG = 0;
SW	R0, Offset(ANSELG+0)(GP)
;Flash.c,75 :: 		JTAGEN_bit = 0;
_LX	
INS	R2, R0, BitPos(JTAGEN_bit+0), 1
_SX	
;Flash.c,76 :: 		LEDSYS_Direction = 0;
LUI	R2, BitMask(TRISD14_bit+0)
ORI	R2, R2, BitMask(TRISD14_bit+0)
_SX	
;Flash.c,78 :: 		TFT_BLED_Direction = 0;
LUI	R2, BitMask(TRISD2_bit+0)
ORI	R2, R2, BitMask(TRISD2_bit+0)
_SX	
;Flash.c,79 :: 		TFT_Set_Default_Mode();
JAL	_TFT_Set_Default_Mode+0
NOP	
;Flash.c,80 :: 		TFT_Init_ILI9340_8bit(320,240);
ORI	R26, R0, 240
ORI	R25, R0, 320
JAL	_TFT_Init_ILI9340_8bit+0
NOP	
;Flash.c,81 :: 		TFT_BLED = 1;
LUI	R2, BitMask(LATD2_bit+0)
ORI	R2, R2, BitMask(LATD2_bit+0)
_SX	
;Flash.c,82 :: 		DrawFrame();
JAL	_DrawFrame+0
NOP	
;Flash.c,84 :: 		WriteNvmData();
JAL	_WriteNvmData+0
NOP	
;Flash.c,85 :: 		ReadNvmData();
JAL	_ReadNvmData+0
NOP	
;Flash.c,87 :: 		do
L_main2:
;Flash.c,89 :: 		LEDSYS =! LEDSYS;
_LX	
EXT	R2, R2, BitPos(LATD14_bit+0), 1
XORI	R3, R2, 1
_LX	
INS	R2, R3, BitPos(LATD14_bit+0), 1
_SX	
;Flash.c,90 :: 		Delay_ms(1000);
LUI	R24, 1017
ORI	R24, R24, 16554
L_main5:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main5
NOP	
;Flash.c,92 :: 		while (1);
J	L_main2
NOP	
;Flash.c,93 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
